package com.miaxis.school.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.school.mapper.SchoolInfoMapper;
import com.miaxis.school.domain.SchoolInfo;
import com.miaxis.school.service.ISchoolInfoService;

/**
 * 驾校信息Service业务层处理
 *
 * @author miaxis
 * @date 2022-01-20
 */
@Service
public class SchoolInfoServiceImpl extends ServiceImpl<SchoolInfoMapper, SchoolInfo> implements ISchoolInfoService {
    @Autowired
    private SchoolInfoMapper schoolInfoMapper;

    /**
     * 查询驾校信息列表
     *
     * @param schoolInfo 驾校信息
     * @return 驾校信息
     */
    @Override
    public List<SchoolInfo> selectSchoolInfoList(SchoolInfo schoolInfo){
        return schoolInfoMapper.selectSchoolInfoList(schoolInfo);
    }
}
